Categories:
  - Internet
License: AGPL-3.0-or-later
AuthorName: OpenVK
AuthorEmail: openvk@tutanota.com
AuthorWebSite: https://openvk.su/
SourceCode: https://github.com/openvk/mobile-android-legacy
IssueTracker: https://github.com/openvk/mobile-android-legacy/issues
Changelog: https://github.com/openvk/mobile-android-legacy/releases

AutoName: OpenVK

RepoType: git
Repo: https://github.com/openvk/mobile-android-legacy.git

Builds:
  - versionName: 1.0.135-beta
    versionCode: 135
    commit: dada0225b0d254c70a9efd9259008dba1b7de926
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - update-alternatives --auto java
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.137-beta
    versionCode: 137
    commit: 55b9f60d00748cfd26d791fd961d2c881bdad44f
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - update-alternatives --auto java
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.139-beta
    versionCode: 139
    commit: d96c344b3dcd14f75a8a14db41cb235f1781064a
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.140-beta
    versionCode: 140
    commit: c53b1dc4af5d20d6e9df5a721815a0ce3d0c7809
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.143-beta
    versionCode: 143
    commit: 2f34e120cb92a7a6e6b1d7e4c43866dbd27fa5dc
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.146-beta
    versionCode: 146
    commit: 60e6409145101afc367cd0b86992a868cab0ec45
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

  - versionName: 1.0.148-beta
    versionCode: 148
    commit: 58a8f1044d1b88f97df8d69323f11261913d29a2
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
        build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.0.148-beta
CurrentVersionCode: 148
